# ORCA DFT(BLYP) single point energies

# Initialise ChemShell
from chemsh import *

# Read in water molecule geometry from disk
my_mol = Fragment(coords="water.xyz")

# CALCULATION 1
# Set up the QM calculation
my_theory = ORCA(frag=my_mol, method="dft", functional="blyp", basis="3-21g")

# Request a single-point calculation and store the result
my_task = SP(theory=my_theory)
my_task.run()
energy1 = my_task.result.energy

# CALCULATION 2
# Set up a second QM calculation with a different basis set
my_theory2 = ORCA(frag=my_mol, method="dft", functional="blyp", basis="6-31g")

# Request a new single-point calculation and store the result
my_task2 = SP(theory=my_theory2)
my_task2.run()
energy2 = my_task2.result.energy

# Report the results
print("\n Summary of energies")
print(" 3-21g energy: ", energy1)
print(" 6-31g energy: ", energy2)
